%define name nmap
%define version 2.30BETA17
%define release 3mdk
%define prefix /usr

Summary: Network exploration tool and security scanner
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Monitoring
Source0: http://www.insecure.org/nmap/dist/%{name}-%{version}.tar.bz2
Source1: %{name}_icons.tar.bz2
URL: http://www.insecure.org/nmap/
BuildRoot: /var/tmp/%{name}-buildroot

%description
Nmap is a utility for network exploration or security auditing. It
supports ping scanning (determine which hosts are up), many port
scanning techniques (determine what services the hosts are offering),
and TCP/IP fingerprinting (remote host operating system
identification). Nmap also offers flexible target and port
specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd
scanning, and more.

%package frontend
Summary: Gtk+ frontend for nmap
Group: Monitoring
Requires: nmap = %{PACKAGE_VERSION} , gtk+
%description frontend
This package includes nmapfe, a Gtk+ frontend for nmap. The nmap package must
be installed before installing nmap-frontend.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
tar xvfy %{SOURCE1}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make 

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Utilities

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/nmap-frontend <<EOF
?package(nmap-frontend):\
command="/usr/bin/nmapfe"\
title="Nmapfe"\
icon="nmap16.xpm"\
longtitle="a frontend for nmap"\
needs="x11"\
section="Networking/Other"
EOF
) 

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm


%clean
rm -rf $RPM_BUILD_ROOT


%post frontend
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi                       

%postun frontend
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  


%files 
%defattr(-,root,root)
%doc COPYING
%doc docs/README docs/copying.html docs/nmap-fingerprinting-article.txt
%doc docs/nmap.deprecated.txt docs/nmap.usage.txt docs/nmap_doc.html
%doc docs/nmap_manpage.html 
%{prefix}/bin/nmap
%{prefix}/lib/nmap
%{prefix}/man/man1/*

%files frontend
%defattr(-,root,root)
%{prefix}/bin/nmapfe
%{prefix}/bin/xnmap
%{prefix}/share/gnome/apps/Utilities/nmapfe.desktop
%{prefix}/lib/menu/*
/usr/share/icons/%{name}.xpm
/usr/share/icons/large/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm


%changelog
* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 2.30BETA17-3mdk
- add 3 icons for menu
 (Thx to Lenny, but i hadn't problem with stat !!)

* Wed Apr 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.30BETA17-3mdk
- add icon
- merge menu file with spec (to help vince' stats !!)

* Fri Mar 31 2000 Vincent Saugey <vince@mandrakesoft.com> 2.30BETA17-2mdk
- Add menu entry

* Fri Mar 31 2000 Vincent Saugey <vince@mandrakesoft.com> 2.3BETA12-1mdk
- Update to 2.3BETA17
- Many change in specfile for spechelper
- Corrected groups

* Thu Jan 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v2.3BETA12
- used srpm provided by Dara Hazeghi <dhazeghi@pacbell.net>

* Wed Jan 5 2000 Dara Hazeghi <dhazeghi@pacbell.net>
- Adapted for Mandrake

* Thu Dec 30 1999 Fyodor <fyodor@dhp.com>
- Updated description
- Eliminated source1 (nmapfe.desktop) directive and simply packaged it with Nmap
- Fixed nmap distribution URL (source0)
- Added this .rpm to base Nmap distribution

* Mon Dec 13 1999 Tim Powers <timp@redhat.com>
- based on origional spec file from
	http://www.insecure.org/nmap/index.html#download
- general cleanups, removed lots of commenrts since it made the spec hard to
	read
- changed group to Applications/System
- quiet setup
- no need to create dirs in the install section, "make
	prefix=$RPM_BUILD_ROOT&{prefix} install" does this.
- using defined %{prefix}, %{version} etc. for easier/quicker maint.
- added docs
- gzip man pages
- strip after files have been installed into buildroot
- created separate package for the frontend so that Gtk+ isn't needed for the
	CLI nmap 
- not using -f in files section anymore, no need for it since there aren't that
	many files/dirs
- added desktop entry for gnome

* Sun Jan 10 1999 Fyodor <fyodor@dhp.com>
- Merged in spec file sent in by Ian Macdonald <ianmacd@xs4all.nl>

* Tue Dec 29 1998 Fyodor <fyodor@dhp.com>
- Made some changes, and merged in another .spec file sent in
  by Oren Tirosh <oren@hishome.net>

* Mon Dec 21 1998 Riku Meskanen <mesrik@cc.jyu.fi>
- initial build for RH 5.x

